package ink.wgink.pojo.dtos.position;

import ink.wgink.pojo.pos.PositionPO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @ClassName: PositionDTO
 * @Description: 职位
 * @Author: admin
 * @Date: 2019-04-11 22:26:35
 * @Version: 1.0
 **/
@ApiModel
public class PositionDTO extends PositionPO {

    @ApiModelProperty(name = "subPositions", value = "子职位列表")
    private List<PositionDTO> subPositions;

    public List<PositionDTO> getSubPositions() {
        return subPositions;
    }

    public void setSubPositions(List<PositionDTO> subPositions) {
        this.subPositions = subPositions;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"subPositions\":")
                .append(subPositions);
        sb.append('}');
        return sb.toString();
    }
}